package com.zipcodewilmington.productmanager;

import java.util.ArrayList;

public class Inventory {

    ArrayList<Product> list = new ArrayList<Product>();

    public void addProduct(String name, int id, double price, int quantity){
        list.add(new Product(name, id, price, quantity));
    }

    public void removeProductById(int id) {
        list.remove(findProductById(id));
    }

    public void removeProductByName(String name) {
        list.remove(findProductByName(name));
    }

    public Product findProductById(int id){
        Product result = null;
        for (Product p : list){
            if (p.getId() == id){
                result = p;
            }
        }

        if (result == null){
            System.out.println("Can't find product!");
        }
        return result;
    }

    public Product findProductByName(String name){
        Product result = null;
        for (Product p : list){
            if (p.getName().equals(name)){
                result = p;
            }
        }

        if (result == null){
            System.out.println("Can't find product!");
        }
        return result;
    }

    public void addQuantity(String name, int i) {
        Product productToAdd = findProductByName(name);
        int newQuantity = productToAdd.getQuantity() + i;
        productToAdd.setQuantity(newQuantity);
    }

    public void printInventory() {

        System.out.println("PRODUCT\tID\tQUANITY\tPRICE\t");
        for (Product p : list) {
            System.out.println(p.getName() + "\t"+ p.getId() + "\t"+ p.getPrice() + "\t"+ p.getQuantity());
        }
    }
}
